import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class bullet here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class bullet extends Actor
{
    private GreenfootSound hs = new GreenfootSound("headshot.mp3");
    private int moveSpd = 15;
    private int offset;
    private Pedestrian p;
    private int myWidth;
    private int myLength;
    private int kills;
    private boolean[] soundEffect = new boolean[5];

    public bullet(int rotation)
    {
        soundEffect[0] = false;
        soundEffect[1] = false;
        soundEffect[2] = false;
        soundEffect[3] = false;
        soundEffect[4] = false;
        setRotation(rotation);
        kills = 0;
    }

    /**
     * Act - do whatever the bullet wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move(moveSpd);
        checkHitPedestrian();
        atWorldEdge();
    }    

    /**
     * Checks is actor has collided with a pedestrian
     */
    public void checkHitPedestrian ()
    {
        // Check collision for a pedestrian one pixel ahead
        // of the Vehicle
        offset = 30;

        p = (Pedestrian)getOneObjectAtOffset(offset, 0, Pedestrian.class);
        if (p != null)
        {
            //System.out.println("got here");
            p.knockMeOver();
            kills++;
        }
    }

    /**
     * Handy method that checks if this object is at the edge
     * of the World
     */
    public boolean atWorldEdge()
    {
        if (getX() < -(myWidth / 2) || getX() > getWorld().getWidth() + (myWidth / 2))
            return true;
        else if (getY() < -(myWidth / 2) || getY () > getWorld().getHeight() + (myWidth / 2))
            return true;
        else
            return false;
    }

}

