import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Ambulance extends Vehicle
{
    private int speed = 4;
    private int offset;
    private Pedestrian p;

    public void act ()
    {
        drive();
        checkHitPedestrian();
    }

    public void drive ()
    {
        move (speed);
    }

    public void checkHitPedestrian ()
    {
        // Check collision for a pedestrian one pixel ahead
        // of the Vehicle
        offset = 30;

        p = (Pedestrian)getOneObjectAtOffset(offset, 0, Pedestrian.class);
        if (p != null)
        {
            //System.out.println("got here");
            p.healMe();
        }
    }
}
