import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Car extends Vehicle
{
    private int speed = 5;
    private int offset;
    private Pedestrian p;
    private Actor a;
    
    public void act()
    {
        drive();
        checkHitPedestrian();
    }
    
    /**
     * Method that deals with movement
     */
    public void drive() 
    {
        move (speed);
    }    

    /**
     * check if I hit a Pedestrian, and if so, act
     * accordingly
     */
    public void checkHitPedestrian ()
    {
        // Check collision for a pedestrian one pixel ahead
        // of the Vehicle
        offset = 30;

        p = (Pedestrian)getOneObjectAtOffset(offset, 0, Pedestrian.class);
        if (p != null)
        {
            //System.out.println("got here");
            p.knockMeOver();
        }
    }
}
