import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Killer here.
 * 
 * @author (Kevin Pang) 
 * @version (Feb 23 2012)
 */

import java.util.Random;
public class Killer extends Vehicle
{
    private int speed = 6;
    private int attackTime= 0;
    private final int shootSpeed = 50;
    private int offset;
    private Pedestrian p;
    private Actor a;
    private int s;

    private  GreenfootSound shoot = new GreenfootSound("shoot.wav");
    /**
     * Act - do whatever the Killer wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        drive();

        shoot();
        checkHitPedestrian();
    }    

    /**
     * Method that shotos projectiles at pedestrians
     */
    private void shoot()
    {
        if (attackTime == 0 && getX()< 600)
        {
            s = Greenfoot.getRandomNumber(360);
            getWorld().addObject(new bullet(s) , getX(), getY());
            shoot.play();
            attackTime = shootSpeed;
        }
        else 
        {
            attackTime--;
        }
    }

    /**
     * Method that deals with movement
     */   
    public void drive()
    {
        move(speed);
    }

    public void checkHitPedestrian()
    {
        // Check collision for a pedestrian one pixel ahead
        // of the Vehicle
        offset = 30;

        p = (Pedestrian)getOneObjectAtOffset(offset, 0, Pedestrian.class);
        if (p != null)
        {
            //System.out.println("got here");
            p.knockMeOver();
        }
    }
}
