import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Pacman here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Pacman extends Draggers
{
    private GreenfootImage p1 = new GreenfootImage("pac1.png");
    private GreenfootImage p2 = new GreenfootImage("pac2.png");
    private GreenfootImage p3 = new GreenfootImage("pac3.png");
    private final int animSpd = 6;
    private int animTimer = 0;
    private int speed = 5;
    private int offset;
    private Pedestrian p;

    /**
     * Act - do whatever the Pacman wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        drive();
        moveAnim();
        checkHitPedestrian();
    }    

    private void moveAnim()
    {
        switch (animTimer)
        {
            case 0 :
            setImage(p1);
            break;
            case (animSpd*1): 
            setImage(p2);
            break;
            case animSpd*2:
            setImage(p3);
            break;
            case animSpd*3:
            animTimer = 0;   
            break;
        }
        animTimer++;

    }

    public void drive() 
    {
        move (speed);
    }    

    public void checkHitPedestrian ()
    {
        // Check collision for a pedestrian one pixel ahead
        // of the Vehicle
        offset = 30;

        p = (Pedestrian)getOneObjectAtOffset(offset, 0, Pedestrian.class);
        if (p != null)
        {
            //System.out.println("got here");
            p.knockMeOver();
            p.drag();
        }
    }
}
