import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public abstract class Vehicle extends Actor
{   
    // Variables in abstract classes should be
    // implemented 
    private int speed;
    /**
     * Abstract method declarations: 
     * This means that all Vehicles must have a
     * move () method with the same signature:
     * E.g: public void move ();
     */
    public abstract void drive ();
    
    public abstract void checkHitPedestrian ();
}
